import { PluginType, HightouchClient, HightouchEvent, UtilityPlugin } from '@ht-sdks/events-sdk-react-native';
/**
 * Adds processing for Destination Filters
 * (https://hightouch.com/docs/connections/destinations/destination-filters/)
 * to work on device mode destinations
 */
export declare class DestinationFiltersPlugin extends UtilityPlugin {
    type: PluginType;
    private key?;
    private filtersUnsubscribe?;
    private filter?;
    constructor(destination?: string);
    private addToPlugin;
    configure(analytics: HightouchClient): void;
    execute(event: HightouchEvent): HightouchEvent | undefined;
}
//# sourceMappingURL=DestinationFilters.d.ts.map